// pages/classOrder/classOrder.js
const app = getApp()
const util = require("../../utils/util")
const urlDef = require("../../utils/urls")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    loading: '上拉加载',
    flag: 0,
    list: [
    ],
    pageNum: 0,
    hasNextPage: true,
  },

  getDetail: function (e) {
    let id = e.currentTarget.dataset.id
    let cid = e.currentTarget.dataset.cid
    let type = e.currentTarget.dataset.type
 
    if (type == 2) {
      let item = this.data.list.filter(o=>o.id == id)[0]
      wx.navigateTo({
        url: '/pages/pianoOrderDetail/pianoOrderDetail?str=' + JSON.stringify(item)
      })
    } else {
      wx.navigateTo({
        url: '/pages/orderClassDetail/orderClassDetail?id=' + id + '&cid=' + cid,
      })
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.queryList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.hasNextPage) {
      let pn = this.data.pageNum
      this.setData({ loading: '加载中', 'pageNum': ++pn })
      this.queryList()
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  queryList: function () {
    const urls = urlDef.urls;
    let stu = wx.getStorageSync('student');
    if (stu) {
      let params = { 'q.studentId': stu.studentId, 'q.orgId': stu.orgId, 'q.valid': 1 }
      params.pageNum = this.data.pageNum
      util.apiPost(urls.get_course_order, params).then(rs => {
        let list = rs.list
        list.map(o => {
          if (o.payDate) {
            o.payDate = o.payDate.replace('T', ' ').substring(0, 16)
          }
          if (o.refundDate) {
            o.refundDate = o.refundDate.replace('T', ' ').substring(0, 16)
          }
        })
        this.setData({
          'hasNextPage': rs.hasNextPage,
          'loading': rs.hasNextPage ? '下拉刷新' : '没有更多数据',
          'list': this.data.list.concat(list)
        })
      })
    }
  }
})