// pages/myself/myself.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imageUrl: app.globalData.imageUrl,
    childTitle:"我的",
  },

  goNavigateTo(e) {
    wx.navigateTo({
      url: e.currentTarget.dataset.url
    })
  },

  callPhone(){
    wx.makePhoneCall({
      phoneNumber: '4006991077',
      fail(res){
        console.log('取消拨打')
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    wx.hideHomeButton()
    this.setData({
      userAvatar: wx.getStorageSync('student').headImg,
      userName: wx.getStorageSync('student').name
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})