// pages/addClass/addClass.js
const app = getApp()
const util = require("../../utils/util")
const urlDef = require("../../utils/urls")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    loading: '上拉加载',
    list: [],
    pageNum: 0,
    hasNextPage: true,
    flag: 0,
    data: []
  },

  getTip: function () {
    wx.showModal({
      title: '加课说明',
      content: '1.加课课时将从剩余课时中划扣',
      showCancel: false, //是否显示取消按钮
      cancelText: "否", //默认是“取消”
      cancelColor: '#999999', //取消文字的颜色
      confirmText: "我知道了", //默认是“确定”
      // confirmColor: 'skyblue', //确定文字的颜色
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({ list: [], pageNum: 0 })
    this.queryList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.hasNextPage) {
      let pn = this.data.pageNum
      this.setData({ loading: '加载中', 'pageNum': ++pn })
      this.queryList()
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  queryList: function () {
    const urls = urlDef.urls;
    let stu = wx.getStorageSync('student');
    if (stu) {
      let params = { 'q.studentId': stu.studentId }
      params.pageNum = this.data.pageNum
      util.apiPost(urls.add_classes_list, params).then(rs => {
        let list = rs.list;
        list.map(o => {
          if (o.beginTime) {
            o.beginTime = o.beginTime.substring(11, 16)
          }
          if (o.endTime) {
            o.endTime = o.endTime.substring(11, 16)
          }
        })
        this.setData({
          'hasNextPage': rs.hasNextPage,
          'loading': rs.hasNextPage ? '下拉刷新' : '没有更多数据',
          'list': this.data.list.concat(list)
        })
        this.setData({ data: [{ items: this.data.list }] })
      })
    }
  }
})